ExtendedCoxIngersollRoss::Dynamics Class Reference

Short-rate dynamics in the extended Cox-Ingersoll-Ross model. More...

`#include <ql/models/shortrate/onefactormodels/extendedcoxingersollross.hpp>`

Inheritance diagram for ExtendedCoxIngersollRoss::Dynamics:
[legend]

## Public Member Functions

| Dynamics (const Parameter &phi, Real theta, Real k, Real sigma, Real x0)
virtual Real | variable (Time t, Rate r) const
| Compute state variable from short rate.
virtual Real | shortRate (Time t, Real y) const
| Compute short rate from state variable.
Public Member Functions inherited from CoxIngersollRoss::Dynamics
| Dynamics (Real theta, Real k, Real sigma, Real x0)
Public Member Functions inherited from OneFactorModel::ShortRateDynamics
| ShortRateDynamics (const ext::shared_ptr< StochasticProcess1D > &process)
const ext::shared_ptr< StochasticProcess1D > & | process ()
| Returns the risk-neutral dynamics of the state variable.

## Detailed Description

Short-rate dynamics in the extended Cox-Ingersoll-Ross model.

The short-rate is here

\[ r_t = \varphi(t) + y_t^2 \]

where \( \varphi(t) \) is the deterministic time-dependent parameter used for term-structure fitting and \( y_t \) is the state variable, the square-root of a standard CIR process.